## org.gnu.gtk
Class IconFactory

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.IconFactory

public class IconFactory
extends GObject

This object manages a collection of `IconSet`; a IconSet manages a set of variants of a particular icon. Icons in an IconFactory are named by a stock ID, which is a simple string identifying the icon.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`IconFactory()` Construct a new IconFactory object.

Method Summary
`void` `addDefault()` Adds this IconFactory to the list of icon factories searched by Style.lookupIconSet.
`void` `addIconSet(java.lang.String stockID, IconSet iconSet)` Add the given IconSet to this IconFactory.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static void` `gtk_icon_factory_add_default(Handle factory)`
`protected static void` `gtk_icon_factory_add(Handle factory, java.lang.String stockId, Handle iconSet)`
`protected static int` `gtk_icon_factory_get_type()`
`protected static Handle` `gtk_icon_factory_lookup_default(java.lang.String stockId)`
`protected static Handle` `gtk_icon_factory_lookup(Handle factory, java.lang.String stockId)`
`protected static Handle` `gtk_icon_factory_new()`
`protected static void` `gtk_icon_factory_remove_default(Handle factory)`
`IconSet` `lookupIconSet(java.lang.String stockID)` Looks up stockID from the icon factory, returning an icon set if found.
`void` `removeDefault()` Removes this icon factory from the list of default icon factories.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IconFactory

    public IconFactory()

  Construct a new IconFactory object.

Method Detail

### addIconSet

    public void addIconSet(java.lang.String stockID,
                           IconSet iconSet)

  Add the given IconSet to this IconFactory.

  Parameters:
    `stockID` - The icon name
    `iconSet` - The IconSet to add to this factory.

### lookupIconSet

    public IconSet lookupIconSet(java.lang.String stockID)

  Looks up stockID from the icon factory, returning an icon set if found.

  Parameters:
    `stockID` - The stockID to use for the search
  Returns:
    The IconSet that matches the stockID or null if one is not found.

### addDefault

    public void addDefault()

  Adds this IconFactory to the list of icon factories searched by Style.lookupIconSet. This means that objects that take stock IDs will be able to find the icons in this factory. There will normally be an IconFactory added for each library or application that comes with icons. The default icon factories can be overridden by themes.

### removeDefault

    public void removeDefault()

  Removes this icon factory from the list of default icon factories.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_icon_factory_get_type

    protected static final int gtk_icon_factory_get_type()

### gtk_icon_factory_new

    protected static final Handle gtk_icon_factory_new()

### gtk_icon_factory_add

    protected static final void gtk_icon_factory_add(Handle factory,
                                                     java.lang.String stockId,
                                                     Handle iconSet)

### gtk_icon_factory_lookup

    protected static final Handle gtk_icon_factory_lookup(Handle factory,
                                                          java.lang.String stockId)

### gtk_icon_factory_add_default

    protected static final void gtk_icon_factory_add_default(Handle factory)

### gtk_icon_factory_remove_default

    protected static final void gtk_icon_factory_remove_default(Handle factory)

### gtk_icon_factory_lookup_default

    protected static final Handle gtk_icon_factory_lookup_default(java.lang.String stockId)